New Credit Card

Please, fill the form. Click 'OK' to save a credit card.

Fields Description

Field Name | Description
Cardholder name | Type the cardholder name. Typically it should not differ from the name of Account owner (Customer Administrator for personal Accounts) or Administrative contact for business one.
Card Number | Type the number of credit card here.
Expiration Date | The date till a credit card is valid. Select the right date from drop-down menus.
Allow payment by this card | Mark this checkbox to allow transactions using this credit card. Leave this checkbox unmarked to disallow transactions. You can change this setting later.
Use this card for for recurring paying | This setting allows using this credit card for recurring billing (if marked). Can be changed later. Note that only one credit card from registered for an Account can be marked this way (system default).
Billing Address and Phone | Cardholder billing contact.